Bug 16540 - text control does not line up with image
Summary: text control does not line up with image
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 420+
Hardware: Macintosh Intel OS X 10.4
: P2 Minor
Assignee: Nobody
URL: http://blogs.s60.com/
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2007-12-20 13:29 PST by scroggo
Modified: 2008-07-17 01:54 PDT (History)
2 users (show)

See Also:


Attachments
Partial offline reduction (.tar.gz) (1.84 KB, application/x-gzip)
2007-12-21 13:31 PST, David Kilzer (:ddkilzer)
no flags Details
test case (251 bytes, text/html)
2008-03-06 05:04 PST, Robert Blaut
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description scroggo 2007-12-20 13:29:18 PST
At the upper right corner of the page, click on the white space next to the magnifying glass.  A text control takes focus, but it does not line up with the white space.  In Firefox it behaves as expected.

I am not sure of the version, but we sunc to webkit on November 16, and the SVN number is 27453, and I am using it to run Safari 2.
Comment 1 mitz 2007-12-20 17:28:51 PST
Looks the same in Firefox 3.
Comment 2 David Kilzer (:ddkilzer) 2007-12-21 11:40:28 PST
Hitting the tab key to highlight elements on the page leads to some strange highlighting when the "S60" and "S60.com" tabs are highlighted.  FIled Bug 16560.
Comment 3 David Kilzer (:ddkilzer) 2007-12-21 13:31:45 PST
Created attachment 18039 [details]
Partial offline reduction (.tar.gz)

A partial reduction of the original page.  The input text field is still mispositioned on Safari 3/WebKit nightlies and Firefox 3.0b3 previews, but is positioned as expected on Firefox 2.
Comment 4 Robert Blaut 2008-03-06 05:04:43 PST
Created attachment 19568 [details]
test case
Comment 5 Robert Blaut 2008-03-06 05:09:25 PST
The test clearly shows that margin-bottom:8px causes input box rendered higher in Firefox 2. It is probably bug in this browser.
Comment 6 Robert Blaut 2008-03-06 05:23:28 PST
(In reply to comment #5)
> The test clearly shows that margin-bottom:8px causes input box rendered higher
> in Firefox 2. It is probably bug in this browser.

Indeed. margin of inline-blocks (input element) shouldn't cause repositioning of an element however its margin has influence on margin of parent block element. An evangelism bug.

Comment 7 Robert Blaut 2008-07-17 01:54:12 PDT
The site is fixed now. The described issue isn't visible any more. Tested in Firefox and WebKit r35203. Closing as fixed.